Subject: Re: installing Gtk-Perl on cygwin (very long, but it actually works now;)
From: "dominix" <[email-masked]>
To: "muppet" <[email-masked]>
Cc: "'Cygwin List'" <[email-masked]>
Date: Sun, 11 Jan 2004 16:22:18 -1000

muppet wrote:
> please note that gtk-perl is obsolete and barely maintained.
>
> gtk2-perl, on the other hand, is under active development, has native
> win32 support, and is reported to work with cygwin.
>
> if you are planning to write new code, please do not use gtk-perl, use
> gtk2-perl.
>
> if you are trying to use an old gtk-perl app, it may be easier to port
> the app to gtk2-perl than to get gtk-perl working reliably on win32.
> for apps that depend too heavily on Gtk::CList, Gtk::CTree, or
> Gtk::Text to port easily, i wrote Gtk2::Deprecated some time back, but
> i make no claim that it works well and have not attempted to compile
> it on win32.
>
>
> native win32 binaries for gtk2-perl
> http://homepage.ntlworld.com/wayne.keenan/gtk/
>
> the gtk2-perl homepage
> http://gtk2-perl.sourceforge.net/
>
> screenshots of gtk2-perl in action on win2k
> http://gtk2-perl.sourceforge.net/misc/win32-screenshots/
>
> Gtk2::Deprecated provides support for deprecated widgets not included
> in gtk2-perl, to ease the porting process.  0.02 is a new version
> which works with ExtUtils::PkgConfig instead of Glib::PkgConfig.  not
> tested on win32, not recommended for production use.
> http://asofyet.org/muppet/software/gtk2-perl/Gtk2-Deprecated-
> 0.02.tar.gz

I've tried first to compile Gtk2 but get stuck with both perl5.8.0 and 5.8.2
Gtk2-1.021 # perl5.8.2  Makefile.PL
C:\cygwin\bin\perl5.8.2.exe: *** unable to remap
C:\cygwin\bin\cyggobject-2.0-0.dll to same address as parent(0xC60000) !=
0xC70000
      5 [main] perl5.8.2 3020 sync_with_child: child 2988(0x6C4) died before
initialization with status code 0x1
   2450 [main] perl5.8.2 3020 sync_with_child: *** child state child loading
dlls
pastis Gtk2-1.021 #

and with 5.8.0
Gtk2-1.021 # perl5.8.0  Makefile.PL
C:\cygwin\bin\perl5.8.0.exe: *** unable to remap
C:\cygwin\bin\cyggobject-2.0-0.dll to same address as parent(0x790000) !=
0x7A0000
      4 [main] perl5.8.0 3652 sync_with_child: child 3776(0x6CC) died before
initialization with status code 0x1
    576 [main] perl5.8.0 3652 sync_with_child: *** child state child loading
dlls
C:\cygwin\bin\perl5.8.0.exe: *** unable to remap
C:\cygwin\bin\cyggobject-2.0-0.dll to same address as parent(0x790000) !=
0x7A0000
5078559 [main] perl5.8.0 3652 sync_with_child: child 3908(0x69C) died before
initialization with status code 0x1
5086429 [main] perl5.8.0 3652 sync_with_child: *** child state child loading
dlls
C:\cygwin\bin\perl5.8.0.exe: *** unable to remap
C:\cygwin\bin\cyggobject-2.0-0.dll to same address as parent(0x790000) !=
0x7A0000
10168129 [main] perl5.8.0 3652 sync_with_child: child 3704(0x690) died
before initialization with status code 0x1
10168445 [main] perl5.8.0 3652 sync_with_child: *** child state child
loading dlls

I've got to stop it with Ctrl C or it loop indefinitely
YES I've rebase everythink and no I have no idea of what went wrong but that
look like reentrance which I suspect to be not MS-win32 compatible...

But if it possible to have it running , yes I definitively prefer Gtk2-perl.

thanks for your advices.

-- 
dominix

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/